dots.v2.load_balancers.byLb_id().forwarding_rules.post()
Generated on 13 Nov 2026
from DoTs version
v1.24.0
Usage
client.v2.load_balancers.byLb_id(lb_id).forwarding_rules.post(body: Forwarding_rulesPostRequestBody, requestConfiguration?: RequestConfiguration<object>): Promise<void>Description
To add an additional forwarding rule to a load balancer instance, send a POST
request to /v2/load_balancers/{lb_id}/forwarding_rules. In the body
of the request, there should be a forwarding_rules attribute containing an
array of rules to be added.
No response body will be sent back, but the response code will indicate success. Specifically, the response code will be a 204, which means that the action was successful with no returned body data.
Parameters
Path Parameters
lb_idstring requiredExample:
4de7ac8b-495b-4884-9a69-1050c6793cd6A unique identifier for a load balancer.
Request Body
forwardingRulesarray of objects requiredShow child properties
entryProtocolstring requiredThe protocol used for traffic to the load balancer. The possible values are:
http,https,http2,http3,tcp, orudp. If you set theentry_protocoltoudp, thetarget_protocolmust be set toudp. When using UDP, the load balancer requires that you set up a health check with a port that uses TCP, HTTP, or HTTPS to work properly.entryPortinteger requiredExample:
443An integer representing the port on which the load balancer instance will listen.
targetProtocolstring requiredThe protocol used for traffic from the load balancer to the backend Droplets. The possible values are:
http,https,http2,tcp, orudp. If you set thetarget_protocoltoudp, theentry_protocolmust be set toudp. When using UDP, the load balancer requires that you set up a health check with a port that uses TCP, HTTP, or HTTPS to work properly.targetPortinteger requiredExample:
80An integer representing the port on the backend Droplets to which the load balancer will send traffic.
certificateIdstring optionalExample:
892071a0-bb95-49bc-8021-3afd67a210bfThe ID of the TLS certificate used for SSL termination if enabled.
tlsPassthroughboolean optionalExample:
falseA boolean value indicating whether SSL encrypted traffic will be passed through to the backend Droplets.
Request Sample
More Information
See /v2/load_balancers/{lb_id}/forwarding_rules in the API reference for additional detail on responses, headers, parameters, and more.